Index: app_osplookup.c
===================================================================
--- app_osplookup.c	(revision 69052)
+++ app_osplookup.c	(working copy)
@@ -1867,8 +1771,7 @@
 			break;
 	}
 	if (osp_finish(inhandle, recorded, cause, start, connect, end, release) <= 0) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "OSPFinish: Unable to report usage for inbound call\n");
+		ast_debug(1, "OSPFinish: Unable to report usage for inbound call\n");
 	}
 	snprintf(buffer, sizeof(buffer), "%d", OSP_INVALID_HANDLE);
 	pbx_builtin_setvar_helper(chan, "OSPOUTHANDLE", buffer);
@@ -1916,8 +1819,7 @@
 		} else {
 			OSPPInit(0);
 		}
-		if (option_debug)
-			ast_log(LOG_DEBUG, "OSP: osp_hardware '%d'\n", osp_hardware);
+		ast_debug(1, "OSP: osp_hardware '%d'\n", osp_hardware);
 
 		t = ast_variable_retrieve(cfg, OSP_GENERAL_CAT, "tokenformat");
 		if (t) {
@@ -1930,8 +1832,7 @@
 					TOKEN_ALGO_SIGNED, TOKEN_ALGO_UNSIGNED, TOKEN_ALGO_BOTH, t);
 			}
 		}
-		if (option_debug)
-			ast_log(LOG_DEBUG, "OSP: osp_tokenformat '%d'\n", osp_tokenformat);
+		ast_debug(1, "OSP: osp_tokenformat '%d'\n", osp_tokenformat);
 
 		t = ast_category_browse(cfg, NULL);
 		while(t) {
@@ -1948,8 +1849,7 @@
 		ast_log(LOG_WARNING, "OSP: Unable to find configuration. OSP support disabled\n");
 		return 0;
 	}
-	if (option_debug)
-		ast_log(LOG_DEBUG, "OSP: osp_initialized '%d'\n", osp_initialized);
+	ast_debug(1, "OSP: osp_initialized '%d'\n", osp_initialized);
 
 	return 1;
 }
Index: app_zapbarge.c
===================================================================
--- app_zapbarge.c	(revision 69052)
+++ app_zapbarge.c	(working copy)
@@ -171,8 +171,7 @@
 	if (ztc.confmode) {
 		/* Whoa, already in a conference...  Retry... */
 		if (!retryzap) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Zap channel is in a conference already, retrying with pseudo\n");
+			ast_debug(1, "Zap channel is in a conference already, retrying with pseudo\n");
 			retryzap = 1;
 			goto zapretry;
 		}
@@ -188,8 +187,7 @@
 		close(fd);
 		goto outrun;
 	}
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Placed channel %s in ZAP channel %d monitor\n", chan->name, confno);
+	ast_debug(1, "Placed channel %s in ZAP channel %d monitor\n", chan->name, confno);
 
 	for(;;) {
 		outfd = -1;
@@ -201,8 +199,7 @@
 					/* Kill old pseudo */
 					close(fd);
 				}
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Ooh, something swapped out under us, starting over\n");
+				ast_debug(1, "Ooh, something swapped out under us, starting over\n");
 				retryzap = 0;
 				goto zapretry;
 			}
Index: app_zapscan.c
===================================================================
--- app_zapscan.c	(revision 69052)
+++ app_zapscan.c	(working copy)
@@ -179,8 +179,7 @@
         if (ztc.confmode) {
 			/* Whoa, already in a conference...  Retry... */
 			if (!retryzap) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Zap channel is in a conference already, retrying with pseudo\n");
+				ast_debug(1, "Zap channel is in a conference already, retrying with pseudo\n");
 				retryzap = 1;
 				goto zapretry;
 			}
@@ -196,8 +195,7 @@
                 close(fd);
                 goto outrun;
         }
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Placed channel %s in ZAP channel %d monitor\n", chan->name, confno);
+	ast_debug(1, "Placed channel %s in ZAP channel %d monitor\n", chan->name, confno);
 		
         for(;;) {
 			outfd = -1;
@@ -209,8 +207,7 @@
 						/* Kill old pseudo */
 						close(fd);
 					}
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Ooh, something swapped out under us, starting over\n");
+					ast_debug(1, "Ooh, something swapped out under us, starting over\n");
 					retryzap = 0;
                                 goto zapretry;
 				}
Index: app_amd.c
===================================================================
--- app_amd.c	(revision 69052)
+++ app_amd.c	(working copy)
@@ -159,8 +159,9 @@
 			maximumNumberOfWords = atoi(args.argMaximumNumberOfWords);
 		if (!ast_strlen_zero(args.argSilenceThreshold))
 			silenceThreshold = atoi(args.argSilenceThreshold);
-	} else if (option_debug)
-		ast_log(LOG_DEBUG, "AMD using the default parameters.\n");
+	} else {
+		ast_debug(1, "AMD using the default parameters.\n");
+	}
 
 	/* Now we're ready to roll! */
 	if (option_verbose > 2)
@@ -195,8 +196,7 @@
 		if (!(f = ast_read(chan))) {
 			if (option_verbose > 2)
 				ast_verbose(VERBOSE_PREFIX_3 "AMD: HANGUP\n");
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Got hangup\n");
+			ast_debug(1, "Got hangup\n");
 			strcpy(amdStatus, "HANGUP");
 			break;
 		}
Index: app_record.c
===================================================================
--- app_record.c	(revision 69052)
+++ app_record.c	(working copy)
@@ -336,8 +336,7 @@
 		ast_frfree(f);
 	}
 	if (!f) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Got hangup\n");
+		ast_debug(1, "Got hangup\n");
 		res = -1;
 	}
 			
Index: app_queue.c
===================================================================
--- app_queue.c	(revision 69052)
+++ app_queue.c	(working copy)
@@ -559,13 +559,11 @@
 	AST_LIST_UNLOCK(&interfaces);
 
 	if (!curint) {
-		if (option_debug > 2)
-			ast_log(LOG_DEBUG, "Device '%s/%s' changed to state '%d' (%s) but we don't care because they're not a member of any queue.\n", technology, loc, sc->state, devstate2str(sc->state));
+		ast_debug(3, "Device '%s/%s' changed to state '%d' (%s) but we don't care because they're not a member of any queue.\n", technology, loc, sc->state, devstate2str(sc->state));
 		return NULL;
 	}
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Device '%s/%s' changed to state '%d' (%s)\n", technology, loc, sc->state, devstate2str(sc->state));
+	ast_debug(1, "Device '%s/%s' changed to state '%d' (%s)\n", technology, loc, sc->state, devstate2str(sc->state));
 	AST_LIST_LOCK(&queues);
 	AST_LIST_TRAVERSE(&queues, q, list) {
 		ast_mutex_lock(&q->lock);
@@ -772,8 +770,7 @@
 		return 0;
 	}
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Adding %s to the list of interfaces that make up all of our queue members.\n", interface);
+	ast_debug(1, "Adding %s to the list of interfaces that make up all of our queue members.\n", interface);
 	
 	if ((curint = ast_calloc(1, sizeof(*curint)))) {
 		ast_copy_string(curint->interface, interface, sizeof(curint->interface));
@@ -814,8 +811,7 @@
 	AST_LIST_TRAVERSE_SAFE_BEGIN(&interfaces, curint, list) {
 		if (!strcasecmp(curint->interface, interface)) {
 			if (!interface_exists_global(interface)) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Removing %s from the list of interfaces that make up all of our queue members.\n", interface);
+				ast_debug(1, "Removing %s from the list of interfaces that make up all of our queue members.\n", interface);
 				AST_LIST_REMOVE_CURRENT(&interfaces, list);
 				ast_free(curint);
 			}
@@ -894,7 +890,7 @@
 		q->announcefrequency = atoi(val);
 	} else if (!strcasecmp(param, "min-announce-frequency")) {
 		q->minannouncefrequency = atoi(val);
-		ast_log(LOG_DEBUG, "%s=%s for queue '%s'\n", param, val, q->name);
+		ast_debug(1, "%s=%s for queue '%s'\n", param, val, q->name);
 	} else if (!strcasecmp(param, "announce-round-seconds")) {
 		q->roundingseconds = atoi(val);
 		/* Rounding to any other values just doesn't make sense... */
@@ -1116,8 +1112,7 @@
 			/*! \note Hmm, can't seem to distinguish a DB failure from a not
 			   found condition... So we might delete an in-core queue
 			   in case of DB failure. */
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Queue %s not found in realtime.\n", queuename);
+			ast_debug(1, "Queue %s not found in realtime.\n", queuename);
 
 			q->dead = 1;
 			/* Delete if unused (else will be deleted when last caller leaves). */
@@ -1299,8 +1294,7 @@
 			S_OR(qe->chan->cid.cid_num, "unknown"), /* XXX somewhere else it is <unknown> */
 			S_OR(qe->chan->cid.cid_name, "unknown"),
 			q->name, qe->pos, q->count, qe->chan->uniqueid );
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Queue '%s' Join, Channel '%s', Position '%d'\n", q->name, qe->chan->name, qe->pos );
+		ast_debug(1, "Queue '%s' Join, Channel '%s', Position '%d'\n", q->name, qe->chan->name, qe->pos );
 	}
 	ast_mutex_unlock(&q->lock);
 	AST_LIST_UNLOCK(&queues);
@@ -1497,8 +1491,7 @@
 			manager_event(EVENT_FLAG_CALL, "Leave",
 				"Channel: %s\r\nQueue: %s\r\nCount: %d\r\nUniqueid: %s\r\n",
 				qe->chan->name, q->name,  q->count, qe->chan->uniqueid);
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Queue '%s' Leave, Channel '%s'\n", q->name, qe->chan->name );
+			ast_debug(1, "Queue '%s' Leave, Channel '%s'\n", q->name, qe->chan->name );
 			/* Take us out of the queue */
 			if (prev)
 				prev->next = cur->next;
@@ -1599,11 +1592,9 @@
 				if (strcmp(mem->interface, member->interface))
 					continue;
 
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Found matching member %s in queue '%s'\n", mem->interface, q->name);
+				ast_debug(1, "Found matching member %s in queue '%s'\n", mem->interface, q->name);
 				if (q->weight > rq->weight) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Queue '%s' (weight %d, calls %d) is preferred over '%s' (weight %d, calls %d)\n", q->name, q->weight, q->count, rq->name, rq->weight, rq->count);
+					ast_debug(1, "Queue '%s' (weight %d, calls %d) is preferred over '%s' (weight %d, calls %d)\n", q->name, q->weight, q->count, rq->name, rq->weight, rq->count);
 					found = 1;
 					break;
 				}
@@ -1670,8 +1661,7 @@
 
 	/* on entry here, we know that tmp->chan == NULL */
 	if (qe->parent->wrapuptime && (time(NULL) - tmp->lastcall < qe->parent->wrapuptime)) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Wrapuptime not yet expired for %s\n", tmp->interface);
+		ast_debug(1, "Wrapuptime not yet expired for %s\n", tmp->interface);
 		if (qe->chan->cdr)
 			ast_cdr_busy(qe->chan->cdr);
 		tmp->stillgoing = 0;
@@ -1680,8 +1670,7 @@
 	}
 
 	if (!qe->parent->ringinuse && (tmp->member->status != AST_DEVICE_NOT_INUSE) && (tmp->member->status != AST_DEVICE_UNKNOWN)) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "%s in use, can't receive call\n", tmp->interface);
+		ast_debug(1, "%s in use, can't receive call\n", tmp->interface);
 		if (qe->chan->cdr)
 			ast_cdr_busy(qe->chan->cdr);
 		tmp->stillgoing = 0;
@@ -1689,16 +1678,14 @@
 	}
 
 	if (tmp->member->paused) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "%s paused, can't receive call\n", tmp->interface);
+		ast_debug(1, "%s paused, can't receive call\n", tmp->interface);
 		if (qe->chan->cdr)
 			ast_cdr_busy(qe->chan->cdr);
 		tmp->stillgoing = 0;
 		return 0;
 	}
 	if (use_weight && compare_weight(qe->parent,tmp->member)) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Priority queue delaying call to %s:%s\n", qe->parent->name, tmp->interface);
+		ast_debug(1, "Priority queue delaying call to %s:%s\n", qe->parent->name, tmp->interface);
 		if (qe->chan->cdr)
 			ast_cdr_busy(qe->chan->cdr);
 		tmp->stillgoing = 0;
@@ -1751,8 +1738,7 @@
 	/* Place the call, but don't wait on the answer */
 	if ((res = ast_call(tmp->chan, location, 0))) {
 		/* Again, keep going even if there's an error */
-		if (option_debug)
-			ast_log(LOG_DEBUG, "ast call on peer returned %d\n", res);
+		ast_debug(1, "ast call on peer returned %d\n", res);
 		if (option_verbose > 2)
 			ast_verbose(VERBOSE_PREFIX_3 "Couldn't call %s\n", tmp->interface);
 		do_hang(tmp);
@@ -1805,8 +1791,7 @@
 	while (ret == 0) {
 		struct callattempt *best = find_best(outgoing);
 		if (!best) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Nobody left to try ringing in queue\n");
+			ast_debug(1, "Nobody left to try ringing in queue\n");
 			break;
 		}
 		if (qe->parent->strategy == QUEUE_STRATEGY_RINGALL) {
@@ -1814,15 +1799,13 @@
 			/* Ring everyone who shares this best metric (for ringall) */
 			for (cur = outgoing; cur; cur = cur->q_next) {
 				if (cur->stillgoing && !cur->chan && cur->metric <= best->metric) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "(Parallel) Trying '%s' with metric %d\n", cur->interface, cur->metric);
+					ast_debug(1, "(Parallel) Trying '%s' with metric %d\n", cur->interface, cur->metric);
 					ring_entry(qe, cur, busies);
 				}
 			}
 		} else {
 			/* Ring just the best channel */
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Trying '%s' with metric %d\n", best->interface, best->metric);
+			ast_debug(1, "Trying '%s' with metric %d\n", best->interface, best->metric);
 			ring_entry(qe, best, busies);
 		}
 		if (best->chan) /* break out with result = 1 */
@@ -1838,8 +1821,7 @@
 
 	if (best) {
 		/* Ring just the best channel */
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Next is '%s' with metric %d\n", best->interface, best->metric);
+		ast_debug(1, "Next is '%s' with metric %d\n", best->interface, best->metric);
 		qe->parent->rrpos = best->metric % 1000;
 	} else {
 		/* Just increment rrpos */
@@ -1997,8 +1979,7 @@
 		}
 		if (pos == 1 /* not found */) {
 			if (numlines == (numbusies + numnochan)) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Everyone is busy at this time\n");
+				ast_debug(1, "Everyone is busy at this time\n");
 			} else {
 				ast_log(LOG_NOTICE, "No one is answering queue '%s' (%d/%d/%d)\n", queue, numlines, numbusies, numnochan);
 			}
@@ -2139,8 +2120,7 @@
 							/* Ignore going off hook */
 							break;
 						default:
-							if (option_debug)
-								ast_log(LOG_DEBUG, "Dunno what to do with control type %d\n", f->subclass);
+							ast_debug(1, "Dunno what to do with control type %d\n", f->subclass);
 						}
 					}
 					ast_frfree(f);
@@ -2202,12 +2182,10 @@
 		ch = qe->parent->head;
 		/* If we are now at the top of the head, break out */
 		if (ch == qe) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "It's our turn (%s).\n", qe->chan->name);
+			ast_debug(1, "It's our turn (%s).\n", qe->chan->name);
 			res = 1;
 		} else {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "It's not our turn (%s).\n", qe->chan->name);
+			ast_debug(1, "It's not our turn (%s).\n", qe->chan->name);
 			res = 0;
 		}	
 
@@ -2218,8 +2196,7 @@
 		ch = qe->parent->head;
 	
 		if (qe->parent->strategy == QUEUE_STRATEGY_RINGALL) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Even though there are %d available members, the strategy is ringall so only the head call is allowed in\n", avl);
+			ast_debug(1, "Even though there are %d available members, the strategy is ringall so only the head call is allowed in\n", avl);
 			avl = 1;
 		} else {
 			for (cur = qe->parent->members; cur; cur = cur->next) {
@@ -2232,8 +2209,7 @@
 			}
 		}
 
-		if (option_debug)
-			ast_log(LOG_DEBUG, "There are %d available members.\n", avl);
+		ast_debug(1, "There are %d available members.\n", avl);
 	
 		while ((idx < avl) && (ch) && (ch != qe)) {
 			idx++;
@@ -2242,12 +2218,10 @@
 	
 		/* If the queue entry is within avl [the number of available members] calls from the top ... */
 		if (ch && idx < avl) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "It's our turn (%s).\n", qe->chan->name);
+			ast_debug(1, "It's our turn (%s).\n", qe->chan->name);
 			res = 1;
 		} else {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "It's not our turn (%s).\n", qe->chan->name);
+			ast_debug(1, "It's not our turn (%s).\n", qe->chan->name);
 			res = 0;
 		}
 		
@@ -2497,8 +2471,7 @@
 	if (use_weight)
 		AST_LIST_LOCK(&queues);
 	ast_mutex_lock(&qe->parent->lock);
-	if (option_debug)
-		ast_log(LOG_DEBUG, "%s is trying to call a queue member.\n",
+	ast_debug(1, "%s is trying to call a queue member.\n",
 							qe->chan->name);
 	ast_copy_string(queuename, qe->parent->name, sizeof(queuename));
 	cur = qe->parent->members;
@@ -2558,8 +2531,7 @@
 		} else {
 			res = digit;
 		}
-		if (option_debug)
-			ast_log(LOG_DEBUG, "%s: Nobody answered.\n", qe->chan->name);
+		ast_debug(1, "%s: Nobody answered.\n", qe->chan->name);
 	} else { /* peer is valid */
 		/* Ah ha!  Someone answered within the desired timeframe.  Of course after this
 		   we will always return with -1 so that it is hung up properly after the
@@ -2646,8 +2618,7 @@
 		/* Begin Monitoring */
 		if (qe->parent->monfmt && *qe->parent->monfmt) {
 			if (!qe->parent->montype) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Starting Monitor as requested.\n");
+				ast_debug(1, "Starting Monitor as requested.\n");
 				monitorfilename = pbx_builtin_getvar_helper(qe->chan, "MONITOR_FILENAME");
 				if (pbx_builtin_getvar_helper(qe->chan, "MONITOR_EXEC") || pbx_builtin_getvar_helper(qe->chan, "MONITOR_EXEC_ARGS"))
 					which = qe->chan;
@@ -2665,8 +2636,7 @@
 				if (qe->parent->monjoin)
 					ast_monitor_setjoinfiles(which, 1);
 			} else {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Starting MixMonitor as requested.\n");
+				ast_debug(1, "Starting MixMonitor as requested.\n");
 				monitorfilename = pbx_builtin_getvar_helper(qe->chan, "MONITOR_FILENAME");
 				if (!monitorfilename) {
 					if (qe->chan->cdr)
@@ -2723,8 +2693,7 @@
 					else
 						snprintf(mixmonargs, sizeof(mixmonargs)-1, "%s|b%s", tmpid2, monitor_options);
 						
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Arguments being passed to MixMonitor: %s\n", mixmonargs);
+					ast_debug(1, "Arguments being passed to MixMonitor: %s\n", mixmonargs);
 
 					ret = pbx_exec(qe->chan, mixmonapp, mixmonargs);
 
@@ -2736,8 +2705,7 @@
 		/* Drop out of the queue at this point, to prepare for next caller */
 		leave_queue(qe);			
 		if (!ast_strlen_zero(url) && ast_channel_supports_html(peer)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "app_queue: sendurl=%s.\n", url);
+			ast_debug(1, "app_queue: sendurl=%s.\n", url);
 			ast_channel_sendurl(peer, url);
 		}
 		
@@ -2772,8 +2740,7 @@
 		}
 
 		if (!ast_strlen_zero(macroexec)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "app_queue: macro=%s.\n", macroexec);
+			ast_debug(1, "app_queue: macro=%s.\n", macroexec);
 			
 			res = ast_autoservice_start(qe->chan);
 			if (res) {
@@ -2785,8 +2752,7 @@
 			
 			if (app) {
 				res = pbx_exec(qe->chan, app, macroexec);
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Macro exited with status %d\n", res);
+				ast_debug(1, "Macro exited with status %d\n", res);
 				res = 0;
 			} else {
 				ast_log(LOG_ERROR, "Could not find application Macro\n");
@@ -2800,8 +2766,7 @@
 		}
 
 		if (!ast_strlen_zero(agi)) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "app_queue: agi=%s.\n", agi);
+			ast_debug(1, "app_queue: agi=%s.\n", agi);
 			app = pbx_findapp("agi");
 			if (app) {
 				agiexec = ast_strdupa(agi);
@@ -3041,8 +3006,7 @@
 			if ((mem = interface_exists(q, interface))) {
 				found++;
 				if (mem->paused == paused) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "%spausing already-%spaused queue member %s:%s\n", (paused ? "" : "un"), (paused ? "" : "un"), q->name, interface);
+					ast_debug(1, "%spausing already-%spaused queue member %s:%s\n", (paused ? "" : "un"), (paused ? "" : "un"), q->name, interface);
 				}
 				mem->paused = paused;
 
@@ -3145,8 +3109,7 @@
 			if (ast_strlen_zero(membername))
 				membername = interface;
 
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Reload Members: Queue: %s  Member: %s  Name: %s  Penalty: %d  Paused: %d\n", queue_name, interface, membername, penalty, paused);
+			ast_debug(1, "Reload Members: Queue: %s  Member: %s  Name: %s  Penalty: %d  Paused: %d\n", queue_name, interface, membername, penalty, paused);
 			
 			if (add_to_queue(queue_name, interface, membername, penalty, paused, 0) == RES_OUTOFMEMORY) {
 				ast_log(LOG_ERROR, "Out of Memory when reloading persistent queue member\n");
@@ -3289,8 +3252,7 @@
 		res = 0;
 		break;
 	case RES_EXISTS:
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Unable to remove interface '%s' from queue '%s': Not there\n", args.interface, args.queuename);
+		ast_debug(1, "Unable to remove interface '%s' from queue '%s': Not there\n", args.interface, args.queuename);
 		pbx_builtin_setvar_helper(chan, "RQMSTATUS", "NOTINQUEUE");
 		res = 0;
 		break;
@@ -3468,26 +3430,21 @@
 	user_priority = pbx_builtin_getvar_helper(chan, "QUEUE_PRIO");
 	if (user_priority) {
 		if (sscanf(user_priority, "%d", &prio) == 1) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "%s: Got priority %d from ${QUEUE_PRIO}.\n",
-					chan->name, prio);
+			ast_debug(1, "%s: Got priority %d from ${QUEUE_PRIO}.\n", chan->name, prio);
 		} else {
 			ast_log(LOG_WARNING, "${QUEUE_PRIO}: Invalid value (%s), channel %s.\n",
 				user_priority, chan->name);
 			prio = 0;
 		}
 	} else {
-		if (option_debug > 2)
-			ast_log(LOG_DEBUG, "NO QUEUE_PRIO variable found. Using default.\n");
+		ast_debug(3, "NO QUEUE_PRIO variable found. Using default.\n");
 		prio = 0;
 	}
 
 	/* Get the maximum penalty from the variable ${QUEUE_MAX_PENALTY} */
 	if ((max_penalty_str = pbx_builtin_getvar_helper(chan, "QUEUE_MAX_PENALTY"))) {
 		if (sscanf(max_penalty_str, "%d", &max_penalty) == 1) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "%s: Got max penalty %d from ${QUEUE_MAX_PENALTY}.\n",
-					chan->name, max_penalty);
+			ast_debug(1, "%s: Got max penalty %d from ${QUEUE_MAX_PENALTY}.\n", chan->name, max_penalty);
 		} else {
 			ast_log(LOG_WARNING, "${QUEUE_MAX_PENALTY}: Invalid value (%s), channel %s.\n",
 				max_penalty_str, chan->name);
@@ -3503,9 +3460,8 @@
 	if (args.options && (strchr(args.options, 'c')))
 		qcontinue = 1;
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "queue: %s, options: %s, url: %s, announce: %s, expires: %ld, priority: %d\n",
-			args.queuename, args.options, args.url, args.announceoverride, (long)qe.expire, prio);
+	ast_debug(1, "queue: %s, options: %s, url: %s, announce: %s, expires: %ld, priority: %d\n",
+		args.queuename, args.options, args.url, args.announceoverride, (long)qe.expire, prio);
 
 	qe.chan = chan;
 	qe.prio = prio;
@@ -3673,9 +3629,7 @@
 				 * of the queue, go and check for our turn again.
 				 */
 				if (!is_our_turn(&qe)) {
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Darn priorities, going back in queue (%s)!\n",
-							qe.chan->name);
+					ast_debug(1, "Darn priorities, going back in queue (%s)!\n", qe.chan->name);
 					goto check_turns;
 				}
 			}
@@ -4093,7 +4047,7 @@
 			if (!q->count)
 				destroy_queue(q);
 			else
-				ast_log(LOG_DEBUG, "XXX Leaking a little memory :( XXX\n");
+				ast_debug(1, "XXX Leaking a little memory :( XXX\n");
 		} else {
 			ast_mutex_lock(&q->lock);
 			for (cur = q->members; cur; cur = cur->next)
Index: app_followme.c
===================================================================
--- app_followme.c	(revision 69052)
+++ app_followme.c	(working copy)
@@ -269,8 +269,7 @@
 		*tmp = '\0';
 	ast_copy_string(cur->number, number, sizeof(cur->number));
 	cur->order = numorder;
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Created a number, %s, order of , %d, with a timeout of %ld.\n", cur->number, cur->order, cur->timeout);
+	ast_debug(1, "Created a number, %s, order of , %d, with a timeout of %ld.\n", cur->number, cur->order, cur->timeout);
 
 	return cur;
 }
@@ -356,8 +355,7 @@
 			if (!strcasecmp(f->name, cat))
 				break;
 		}
-		if (option_debug)
-			ast_log(LOG_DEBUG, "New profile %s.\n", cat);
+		ast_debug(1, "New profile %s.\n", cat);
 		if (!f) {
 			/* Make one then */
 			f = alloc_profile(cat);
@@ -406,8 +404,7 @@
 					AST_LIST_INSERT_TAIL(&f->numbers, cur, entry);
 				} else {
 					profile_set_param(f, var->name, var->value, var->lineno, 1);
-					if (option_debug > 1)
-						ast_log(LOG_DEBUG, "Logging parameter %s with value %s from lineno %d\n", var->name, var->value, var->lineno);
+					ast_debug(2, "Logging parameter %s with value %s from lineno %d\n", var->name, var->value, var->lineno);
 				}
 				var = var->next;
 			} /* End while(var) loop */
@@ -688,8 +685,7 @@
 								ast_verbose( VERBOSE_PREFIX_3 "%s stopped sounds\n", winner->name);
 							break;
 						default:
-							if (option_debug)
-								ast_log(LOG_DEBUG, "Dunno what to do with control type %d\n", f->subclass);
+							ast_debug(1, "Dunno what to do with control type %d\n", f->subclass);
 							break;
 						}
 					} 
@@ -697,24 +693,19 @@
 						if (winner->stream)
 							ast_stopstream(winner);
 						tmpuser->digts = 0;
-						if (option_debug)
-							ast_log(LOG_DEBUG, "DTMF received: %c\n",(char) f->subclass);
+						ast_debug(1, "DTMF received: %c\n",(char) f->subclass);
 						tmpuser->yn[tmpuser->ynidx] = (char) f->subclass;
 						tmpuser->ynidx++;
-						if (option_debug)
-							ast_log(LOG_DEBUG, "DTMF string: %s\n", tmpuser->yn);
+						ast_debug(1, "DTMF string: %s\n", tmpuser->yn);
 						if (tmpuser->ynidx >= ynlongest) {
-							if (option_debug)
-								ast_log(LOG_DEBUG, "reached longest possible match - doing evals\n");
+							ast_debug(1, "reached longest possible match - doing evals\n");
 							if (!strcmp(tmpuser->yn, tpargs->takecall)) {
-								if (option_debug)
-									ast_log(LOG_DEBUG, "Match to take the call!\n");
+								ast_debug(1, "Match to take the call!\n");
 								ast_frfree(f);
 								return tmpuser->ochan;	
 							}
 							if (!strcmp(tmpuser->yn, tpargs->nextindp)) {
-								if (option_debug)
-									ast_log(LOG_DEBUG, "Next in dial plan step requested.\n");
+								ast_debug(1, "Next in dial plan step requested.\n");
 								*status = 1;
 								ast_frfree(f);
 								return NULL;
@@ -726,8 +717,7 @@
 					ast_frfree(f);
 				} else {
 					if (winner) {
-						if (option_debug)
-							ast_log(LOG_DEBUG, "we didn't get a frame. hanging up. dg is %d\n",dg);					      
+						ast_debug(1, "we didn't get a frame. hanging up. dg is %d\n",dg);					      
 						if (!dg) {
 							clear_calling_tree(findme_user_list);
 							return NULL;
@@ -735,8 +725,7 @@
 							tmpuser->state = -1;
 						 	ast_hangup(winner);  
 							livechannels--;
-							if (option_debug)
-								ast_log(LOG_DEBUG, "live channels left %d\n", livechannels);
+							ast_debug(1, "live channels left %d\n", livechannels);
 							if (!livechannels) {
 								if (option_verbose > 2)
 									ast_verbose(VERBOSE_PREFIX_3 "no live channels left. exiting.\n");
@@ -747,8 +736,7 @@
 				}					
 				
 			} else
-				if (option_debug)
-					ast_log(LOG_DEBUG, "timed out waiting for action\n");
+				ast_debug(1, "timed out waiting for action\n");
 		}
 		
 	} else {
@@ -793,13 +781,11 @@
 
 	while (nm) {
 
-		if (option_debug > 1)	
-			ast_log(LOG_DEBUG, "Number %s timeout %ld\n", nm->number,nm->timeout);
+		ast_debug(2, "Number %s timeout %ld\n", nm->number,nm->timeout);
 		time(&start_time);
 
 		number = ast_strdupa(nm->number);
-		if (option_debug > 2)
-			ast_log(LOG_DEBUG, "examining %s\n", number);
+		ast_debug(3, "examining %s\n", number);
 		do {
 			rest = strchr(number, '&');
 			if (rest) {
@@ -948,8 +934,7 @@
 	}
 	AST_LIST_UNLOCK(&followmes);
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "New profile %s.\n", args.followmeid);
+	ast_debug(1, "New profile %s.\n", args.followmeid);
 	if (!f) { 
 		ast_log(LOG_WARNING, "Profile requested, %s, not found in the configuration.\n", args.followmeid);
 		res = 0;
